org.eclipse.viatra.transformation.debug.model.transformationstate

## Class RuleActivation

- java.lang.Object
- - org.eclipse.viatra.transformation.debug.model.transformationstate.RuleActivation

- All Implemented Interfaces:
    java.io.Serializable

      public class RuleActivation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleActivation(ActivationTrace trace, boolean nextActivation, java.lang.String state, java.lang.String ruleName, java.util.List<ActivationParameter> paremeters, TransformationState transformationState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ActivationParameter>` | `getParameters()`
    `java.lang.String` | `getRuleName()`
    `java.lang.String` | `getState()`
    `ActivationTrace` | `getTrace()`
    `TransformationState` | `getTransformationState()`
    `boolean` | `isNextActivation()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleActivation

          public RuleActivation(ActivationTrace trace,
                                boolean nextActivation,
                                java.lang.String state,
                                java.lang.String ruleName,
                                java.util.List<ActivationParameter> paremeters,
                                TransformationState transformationState)

  - ### Method Detail

    - #### getTrace

          public ActivationTrace getTrace()

    - #### isNextActivation

          public boolean isNextActivation()

    - #### getState

          public java.lang.String getState()

    - #### getRuleName

          public java.lang.String getRuleName()

    - #### getParameters

          public java.util.List<ActivationParameter> getParameters()

    - #### getTransformationState

          public TransformationState getTransformationState()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`